Bug 86871 - Abolish use of single ellipsis button labels in UI
Summary: Abolish use of single ellipsis button labels in UI
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:4.5.0
Keywords:
Depends on:
Blocks:
 
Reported: 2014-11-30 10:25 UTC by Olivier Hallot
Modified: 2016-02-09 22:12 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Dialog with several ellipsis to be converted (36.35 KB, image/png)
2014-12-12 10:18 UTC, Olivier Hallot
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Olivier Hallot 2014-11-30 10:25:26 UTC
Several UI buttons are labeled with a single ellipsis (...).

The use of such label in buttons is less than optimal, since it does not give to the user an idea of what action will be executed on clicking the button. Besides, the new Glade/UI files are suitable for widgets autosizing, and button size adjustement should not be a concern, which will help translators.

My suggestion is to change the ellipsis into a more meaningfull label.

For example
Insert -> Table of Contents -> Index and Table of contents tab -> Create from -> Styles -> ...

This last ellipsis means actually "Assign styles...".
Comment 1 Olivier Hallot 2014-11-30 16:49:35 UTC
List of UI po files to analyse and replace ellipsis with something more meaningfull (or not).

cui/uiconfig/ui.po:msgid "..."
cui/uiconfig/ui.po:msgstr "..."
cui/uiconfig/ui.po:msgid "..."
cui/uiconfig/ui.po:msgstr "..."
cui/uiconfig/ui.po:msgid "..."
cui/uiconfig/ui.po:msgstr "..."
cui/uiconfig/ui.po:msgid "..."
cui/uiconfig/ui.po:msgstr "..."
cui/uiconfig/ui.po:msgid "..."
cui/uiconfig/ui.po:msgstr "..."
cui/uiconfig/ui.po:msgid "_........"
cui/uiconfig/ui.po:msgstr "_........"
dbaccess/source/ui/tabledesign.po:msgid "~..."
dbaccess/source/ui/tabledesign.po:msgstr "~..."
extensions/uiconfig/sabpilot/ui.po:msgid "_..."
extensions/uiconfig/sabpilot/ui.po:msgstr "_..."
extensions/source/dbpilots.po:#~ msgid "~..."
extensions/source/dbpilots.po:#~ msgstr "~..."
sc/uiconfig/scalc/ui.po:msgid "_..."
sc/uiconfig/scalc/ui.po:msgstr "_..."
sc/uiconfig/scalc/ui.po:msgid "_..."
sc/uiconfig/scalc/ui.po:msgstr "_..."
sc/uiconfig/scalc/ui.po:msgid "..."
sc/uiconfig/scalc/ui.po:msgstr "..."
sc/uiconfig/scalc/ui.po:msgid "..."
sc/uiconfig/scalc/ui.po:msgstr "..."
sd/uiconfig/simpress/ui.po:msgid "_..."
sd/uiconfig/simpress/ui.po:msgstr "_..."
svx/uiconfig/ui.po:msgid "_..."
svx/uiconfig/ui.po:msgstr "_..."
svx/uiconfig/ui.po:msgid "_..."
svx/uiconfig/ui.po:msgstr "_..."
svx/uiconfig/ui.po:msgid "_..."
svx/uiconfig/ui.po:msgstr "_..."
svx/uiconfig/ui.po:msgid "..."
svx/uiconfig/ui.po:msgstr "..."
svx/uiconfig/ui.po:msgid "..."
svx/uiconfig/ui.po:msgstr "..."
sw/uiconfig/swriter/ui.po:msgid "..."
sw/uiconfig/swriter/ui.po:msgstr "..."
sw/uiconfig/swriter/ui.po:msgid "..."
sw/uiconfig/swriter/ui.po:msgstr "..."
sw/uiconfig/swriter/ui.po:msgid "..."
sw/uiconfig/swriter/ui.po:msgstr "..."
sw/uiconfig/swriter/ui.po:msgid "..."
sw/uiconfig/swriter/ui.po:msgstr "..."
sw/uiconfig/swriter/ui.po:msgid "..."
sw/uiconfig/swriter/ui.po:msgstr "..."
sw/uiconfig/swriter/ui.po:msgid "..."
sw/uiconfig/swriter/ui.po:msgstr "..."
sw/source/core/undo.po:msgid "..."
sw/source/core/undo.po:msgstr "..."
wizards/source/formwizard.po:msgid "..."
wizards/source/formwizard.po:msgstr "..."
wizards/source/formwizard.po:msgid "..."
wizards/source/formwizard.po:msgstr "..."
wizards/source/formwizard.po:msgid "..."
wizards/source/formwizard.po:msgstr "..."
wizards/source/formwizard.po:msgid "..."
wizards/source/formwizard.po:msgstr "..."
Comment 2 Adolfo Jayme 2014-11-30 20:39:46 UTC
Marking as NEW.
Comment 3 Olivier Hallot 2014-12-01 00:32:30 UTC
For cui/uiconfig/ui.po

https://gerrit.libreoffice.org/#/c/13233/
https://gerrit.libreoffice.org/#/c/13207/
Comment 4 Commit Notification 2014-12-01 09:19:27 UTC
Olivier Hallot committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7d28127c738f68ddefb318858438b159321b8a05

fdo#86871 (part) replace ... in buttons

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2014-12-01 09:20:40 UTC
Olivier Hallot committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=230bf4bed9fa58ff9b03d613596eda211ba80d51

fdo#86871: better button label in Index/Contents

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2014-12-09 09:21:08 UTC
Olivier Hallot committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b3d0757ff3a3bad9bfd05fd287f7f9bc7ae26eab

fdo#86871 (part) replace "..." in UI buttons

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2014-12-09 09:21:14 UTC
Olivier Hallot committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=44775105fc8fa3d369b898166c01b52952414615

fdo#86871 (part) replace "..." in UI buttons

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2014-12-09 09:21:18 UTC
Olivier Hallot committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b8fb64ac8151131bd91eae49bf58267d159296ee

fdo#86871 (part) replace "..." in UI buttons

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2014-12-09 09:22:35 UTC
Olivier Hallot committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a6d3c97473ed9c17b6cbf12045155da3198d1b49

fdo#86871 (part) replace "..." in UI buttons

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 10 Olivier Hallot 2014-12-12 10:18:48 UTC
Created attachment 110771 [details]
Dialog with several ellipsis to be converted

This dialog is not in the Widget UI format... it is located in 

extensions/source/propctrlr
Comment 11 QA Administrators 2015-12-20 16:12:32 UTC Comment hidden (obsolete)
Comment 12 Olivier Hallot 2016-02-09 22:12:41 UTC
Remaining ellipsis not in .ui file format, and require change in controllers.